<template>
    <div>
        <div class="mb-5 position-relative d-flex justify-content-center">
            <img :src="uploadedImages.images? uploadedImages.images[selectedImage]:''" alt="">
            <span class="bg-white" style=""></span>
            <span class="emotions">{{ selectedEmotion + ' ' + uploadedImages.emotions[selectedImage][selectedEmotion] }}</span>
        </div>

        <h5 class="font-weight-bold text-primary mb-4">History</h5>
        <div class="history p-3 bg-light">
            <div class="row">
                <div class="col-lg-2" v-for="(img, key) in uploadedImages.images" :key="key">
                    <a href="javascript:void(0)" @click.prevent="selectImage(key)">
                        <img class="img-fluid" :src="img" alt="">
                    </a>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            uploadedImages: [],
            selectedImage: 0,
            selectedEmotion: null
        }
    },
    mounted() {
        this.$nextTick(() => {
            this.init()
        })
    },
    methods: {
        init() {
            this.uploadedImages = JSON.parse(sessionStorage.getItem('teacherwellbeing_'));

            this.selectedEmotion = this.findMax(this.uploadedImages.emotions[0])
        },
        selectImage(id) {
            this.selectedImage = id;
            this.selectedEmotion = this.findMax(this.uploadedImages.emotions[id]);
        },
        findMax(obj) {
            return Object.keys(obj).reduce(function(a, b) {
                return obj[a] > obj[b] ? a : b
            })
        }
    }
}
</script>

<style scoped>
    .emotions {
        background: orange;
        color: white;
        font-weight: bold;
        font-size: 3rem;
        padding: 5px 20px;
        border-radius: 50px;
        position: absolute;
        left: calc(50% - 147px);
        bottom: 20%;
        text-transform: capitalize;
    }
</style>
